Control.Monad

# Functor and monad classes

class Functor f
class Monad m
class MonadPlus m

# Functions

## Naming conventions

## Basic functions from the Prelude

mapM
mapM_
forM
forM_
sequence
sequence_
(=<<)
(>=>)
(<=<)
forever

## Generalisations of list functions

join
msum
filterM
mapAndUnzipM
zipWithM
zipWithM_
foldM
foldM_
replicateM
replicateM_

## Conditional execution of monadic expressions

guard
when
unless

## Monadic lifting operators

liftM
liftM2
liftM3
liftM4
liftM5
ap